﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ArchiveViewer
{
    /// <summary>
    /// ImageView.xaml の相互作用ロジック
    /// </summary>
    public partial class ImageView : Window
    {
        public ImageView(string path, BitmapSource image)
        {
            InitializeComponent();

            _image.Source = image;
            this.Title = string.Format("{0}x{1} {2} - ",
                image.PixelWidth, image.PixelHeight, image.Format) + path;
        }
    }
}
