﻿Public Class FileInfoViewModel
    Inherits ViewModelBase

    Private _info As SpiMngx.FileInfo
    Public ReadOnly Property FileInfo() As SpiMngx.FileInfo
        Get
            Return _info
        End Get
    End Property

    Public ReadOnly Property FileName() As String
        Get
            Return _info.FileName
        End Get
    End Property

    Public ReadOnly Property FileSize() As Long
        Get
            Return _info.FileSize
        End Get
    End Property

    Public ReadOnly Property CompSize() As Long
        Get
            Return _info.CompSize
        End Get
    End Property

    Public ReadOnly Property FileTimeText() As String
        Get
            Return _info.TimeStamp.ToString()
        End Get
    End Property

    Public Sub New(ByVal info As SpiMngx.FileInfo)
        _info = info
    End Sub

End Class
