﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ArchiveViewer.ViewModel
{
    public class FileInfoViewModel : ViewModelBase
    {
        public SpiMngx.FileInfo FileInfo { get { return _info; } }
        SpiMngx.FileInfo _info;

        public string FileName {get { return _info.FileName; }}
        public long FileSize {get { return _info.FileSize; }}
        public long CompSize { get { return _info.CompSize; } }
        public string FileTimeText
        {
            get
            {
                return _info.TimeStamp.ToString();
            }
        }

        public FileInfoViewModel(SpiMngx.FileInfo info)
        {
            _info = info;
        }
    }
}
